# Uses of Interface
org.apache.cxf.endpoint.Client

Packages that use Client
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature
org.apache.cxf.feature.validation

- ## Uses of Client in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers with parameters of type Client
  Modifier and Type
  Method
  Description
  `void`
  ClientLifeCycleManagerImpl.`clientCreated(Client client)`
  `void`
  ClientLifeCycleManagerImpl.`clientDestroyed(Client client)`

- ## Uses of Client in org.apache.cxf.databinding.stax

  Methods in org.apache.cxf.databinding.stax with parameters of type Client
  Modifier and Type
  Method
  Description
  `void`
  StaxDataBindingFeature.Portable.`initialize(Client client, Bus bus)`

- ## Uses of Client in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement Client
  Modifier and Type
  Class
  Description
  `class`
  `ClientImpl`
  Methods in org.apache.cxf.endpoint with parameters of type Client
  Modifier and Type
  Method
  Description
  `void`
  ClientLifeCycleListener.`clientCreated(Client client)`
  `void`
  ClientLifeCycleManager.`clientCreated(Client client)`
  `void`
  ClientLifeCycleListener.`clientDestroyed(Client client)`
  `void`
  ClientLifeCycleManager.`clientDestroyed(Client client)`

- ## Uses of Client in org.apache.cxf.feature

  Methods in org.apache.cxf.feature with parameters of type Client
  Modifier and Type
  Method
  Description
  `default void`
  AbstractPortableFeature.`initialize(Client client, Bus bus)`
  `void`
  DelegatingFeature.`initialize(Client client, Bus bus)`
  `void`
  Feature.`initialize(Client client, Bus bus)`
  `void`
  WrappedFeature.`initialize(Client client, Bus bus)`

- ## Uses of Client in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation with parameters of type Client
  Modifier and Type
  Method
  Description
  `void`
  SchemaValidationFeature.Portable.`initialize(Client client, Bus bus)`